Get Articles

Obtain the list of all your articles

The endpoint retrieves basic information about all Articles assigned to a partner.

get
Authorizations
AuthorizationstringRequired

Enter your JWT access token

Query parameters
genderstringOptional

Filter articles by gender. Accepts a single value or comma-separated values.

productCategorystringOptional

Filter articles by product category. Accepts a single value or comma-separated values.

productTypestringOptional

Filter articles by product type. Accepts a single value or comma-separated values.

brandstringRequired
materialCompositionstringRequired
grammagestringRequired
countryOfOriginstringRequired
pagenumberOptional

Number of the page to retrieve. Default is 1

limitnumberOptional

Number of articles to retrieve per page. Default is 50, maximum is 500

Responses
chevron-right
200

Successfully retrieved articles, ordered by manufacturer code and paginated

application/json
manufacturerCodestringRequired

Identifier for article, all variants of this article share the same manufacturer code

titlestringRequired

Title of the article.

productTypestringRequired

Type of the article.

genderstringRequired

Gender of the article.

brandstringRequired

Brand of the article.

materialCompositionstringRequired

Material composition of the article.

grammagestringRequired

Grammage of the article.

countryOfOriginstringRequired

Country of origin of the article.

variantsnumberRequired

Number of variants for this article

minPricenumberRequired

Minimum price of the article

currencystringRequired

Currency of the article price

get
/v1/articles

Last updated